Skip to content

# Introduction

sing-box uses JSON for configuration files.

### Structure

    {
      "log": {},
      "dns": {},
      "ntp": {},
      "certificate": {},
      "endpoints": [],
      "inbounds": [],
      "outbounds": [],
      "route": {},
      "services": [],
      "experimental": {}
    }

### Fields

Key | Format
--- | ---
`log` | Log
`dns` | DNS
`ntp` | NTP
`certificate` | Certificate
`endpoints` | Endpoint
`inbounds` | Inbound
`outbounds` | Outbound
`route` | Route
`services` | Service
`experimental` | Experimental

### Check

    sing-box check

### Format

    sing-box format -w -c config.json -D config_directory

### Merge

    sing-box merge output.json -c config.json -D config_directory